package com.uas.platform.b2b.temporary.model;

import com.uas.platform.b2b.model.Vendor;

/**
 * 申请记录及审核结果<br>
 * 解析从账户中心返回的JOSN
 * 
 * @author hejq
 * @time 创建时间：2017年1月13日
 */
public class PartnershipRecord {

	/**
	 * id
	 */
	private Long id;

	/**
	 * 应用
	 */
	private String appId;

	/**
	 * 申请时间
	 */
	private Long requestDate;

	/**
	 * 申请企业
	 */
	private String custName;

	/**
	 * 申请企业的code（erp传过来的是erp的code,商务平台的是UU号）
	 */
	private String custUID;

	/**
	 * 申请人的姓名
	 */
	private String custUserName;

	/**
	 * 申请人的标志（商务平台为个人UU号）
	 */
	private String custUserCode;

	/**
	 * 申请人的联系方式
	 */
	private String custUserTel;
	
	/**
	 * 申请人的邮箱
	 */
	private String custUserEmail;

	/**
	 * 客户的企业名称
	 */
	private String vendName;

	/**
	 * 客户的标识（如UU号等）
	 */
	private String vendUID;

	/**
	 * 审核人姓名
	 */
	private String vendUserName;

	/**
	 * 审核人标志（uu号等）
	 */
	private String vendUserCode;

	/**
	 * 审核人邮箱
	 */
	private String vendUserEmail;

	/**
	 * 审核人联系方式
	 */
	private String vendUserTel;


	/**
	 * 审核时间
	 */
	private Long operateDate;

	/**
	 * 申请状态码
	 */
	private Integer statusCode;

	/**
	 * 申请状态
	 */
	private String status;

	/**
	 * 原因
	 */
	private String reason;

	public PartnershipRecord(String appId, Vendor vendor) {
		this.appId = appId;
		this.custName = vendor.getMyEnterprise().getEnName();
		this.custUID = vendor.getMyEnterprise().getEnBussinessCode();
		this.custUserCode = String.valueOf(vendor.getMyUserUU());
		if (null != vendor.getMyUser()) {
			this.custUserEmail = vendor.getMyUser().getUserEmail();
			this.custUserName = vendor.getMyUser().getUserName();
			this.custUserTel = vendor.getMyUser().getUserName();
		}
		this.vendName = vendor.getVendorEnterprise().getEnName();
		this.vendUID = vendor.getVendorEnterprise().getEnBussinessCode();
		this.vendUserCode = String.valueOf(vendor.getVendUserUU());
		if (null != vendor.getVendorUser()) {
			this.vendUserName = vendor.getVendorUser().getUserName();
			this.vendUserTel = vendor.getVendorUser().getUserTel();
			this.vendUserEmail = vendor.getVendorUser().getUserEmail();
		}
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getAppId() {
		return appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	public Long getRequestDate() {
		return requestDate;
	}

	public void setRequestDate(Long requestDate) {
		this.requestDate = requestDate;
	}

	public String getCustName() {
		return custName;
	}

	public void setCustName(String custName) {
		this.custName = custName;
	}

	public String getCustUID() {
		return custUID;
	}

	public void setCustUID(String custUID) {
		this.custUID = custUID;
	}

	public String getCustUserName() {
		return custUserName;
	}

	public void setCustUserName(String custUserName) {
		this.custUserName = custUserName;
	}

	public String getCustUserCode() {
		return custUserCode;
	}

	public void setCustUserCode(String custUserCode) {
		this.custUserCode = custUserCode;
	}

	public String getCustUserTel() {
		return custUserTel;
	}

	public void setCustUserTel(String custUserTel) {
		this.custUserTel = custUserTel;
	}

	public String getCustUserEmail() {
		return custUserEmail;
	}

	public void setCustUserEmail(String custUserEmail) {
		this.custUserEmail = custUserEmail;
	}

	public String getVendName() {
		return vendName;
	}

	public void setVendName(String vendName) {
		this.vendName = vendName;
	}

	public String getVendUID() {
		return vendUID;
	}

	public void setVendUID(String vendUID) {
		this.vendUID = vendUID;
	}

	public String getVendUserName() {
		return vendUserName;
	}

	public void setVendUserName(String vendUserName) {
		this.vendUserName = vendUserName;
	}

	public String getVendUserCode() {
		return vendUserCode;
	}

	public void setVendUserCode(String vendUserCode) {
		this.vendUserCode = vendUserCode;
	}

	public Long getOperateDate() {
		return operateDate;
	}

	public void setOperateDate(Long operateDate) {
		this.operateDate = operateDate;
	}

	public Integer getStatusCode() {
		return statusCode;
	}

	public void setStatusCode(Integer statusCode) {
		this.statusCode = statusCode;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}


	public String getVendUserEmail() {
		return vendUserEmail;
	}

	public void setVendUserEmail(String vendUserEmail) {
		this.vendUserEmail = vendUserEmail;
	}

	public String getVendUserTel() {
		return vendUserTel;
	}

	public void setVendUserTel(String vendUserTel) {
		this.vendUserTel = vendUserTel;
	}


}
